<?php

namespace Drupal\flashpoint_course\Access;

use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\group\Entity\Group;
use Symfony\Component\Routing\Route;

class FlashpointCourseIsCourse implements AccessInterface {

  public function access(Route $route, RouteMatchInterface $route_match, AccountInterface $account) {
    $params = $route_match->getParameters();
    if ($params->get('group')) {
      $group = Group::load($params->get('group'));
      if ($group->bundle() === 'course') {
        return AccessResult::allowed();
      }
    }
    return AccessResult::forbidden();
  }
}